# Request Process

## GET /ux/sd/req/conversation/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/req/conversation/":{"get":{"operationId":"ux_sd_req_conversation_retrieve","description":"API endpoint that allows Incident to be viewed or edited.","tags":["Request Process"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /ux/sd/req/conversation/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/req/conversation/":{"post":{"operationId":"ux_sd_req_conversation_create","description":"API endpoint that allows Incident to be viewed or edited.","tags":["Request Process"],"responses":{"201":{"description":"No response body"}}}}}}
```

## GET /ux/sd/req/conversation/{id}/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/req/conversation/{id}/":{"get":{"operationId":"ux_sd_req_conversation_retrieve_2","description":"API endpoint that allows Incident to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Request Process"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /ux/sd/req/conversation/{id}/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/req/conversation/{id}/":{"put":{"operationId":"ux_sd_req_conversation_update","description":"API endpoint that allows Incident to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Request Process"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /ux/sd/req/conversation/{id}/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/req/conversation/{id}/":{"delete":{"operationId":"ux_sd_req_conversation_destroy","description":"API endpoint that allows Incident to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Request Process"],"responses":{"204":{"description":"No response body"}}}}}}
```

## Gets a list of requests

> This endpoint is used to fetch all the requests in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequestList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"request_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_request":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"service_form_data":{"type":"object","additionalProperties":{}},"location":{"type":"object","additionalProperties":{}},"employee_info":{"type":"array","items":{}}},"required":["request_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/req/request_process/":{"get":{"operationId":"ux_sd_req_request_process_list","description":"This endpoint is used to fetch all the requests in the current organization","summary":"Gets a list of requests","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Request Process"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RequestList"}}}},"description":""}}}}}}
```

## Creates a new request&#x20;

> This endpoint is used to save a new request for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/req/request_process/":{"post":{"operationId":"ux_sd_req_request_process_create","description":"This endpoint is used to save a new request for the current organization","summary":"Creates a new request ","tags":["Request Process"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a request with the given id

> This endpoint is used to fetch a request details in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequestList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"request_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_request":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"service_form_data":{"type":"object","additionalProperties":{}},"location":{"type":"object","additionalProperties":{}},"employee_info":{"type":"array","items":{}}},"required":["request_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/req/request_process/{id}/":{"get":{"operationId":"ux_sd_req_request_process_retrieve","description":"This endpoint is used to fetch a request details in the current organization","summary":"Gets a request with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Request Process"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"description":""}}}}}}
```

## Edits the request with given id

> This endpoint is used to edit an existing request for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequestList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"request_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_request":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"service_form_data":{"type":"object","additionalProperties":{}},"location":{"type":"object","additionalProperties":{}},"employee_info":{"type":"array","items":{}}},"required":["request_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/req/request_process/{id}/":{"put":{"operationId":"ux_sd_req_request_process_update","description":"This endpoint is used to edit an existing request for the current organization","summary":"Edits the request with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Request Process"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/RequestList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"description":""}}}}}}
```

## Deletes the request with given id

> This endpoint is used to delete an existing request for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/req/request_process/{id}/":{"delete":{"operationId":"ux_sd_req_request_process_destroy","description":"This endpoint is used to delete an existing request for the current organization","summary":"Deletes the request with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Request Process"],"responses":{"204":{"description":"No response body"}}}}}}
```

## Gets attachments for the selected request.

> This endpoint is used to fetch the attachments.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequestList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"request_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_request":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"service_form_data":{"type":"object","additionalProperties":{}},"location":{"type":"object","additionalProperties":{}},"employee_info":{"type":"array","items":{}}},"required":["request_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/req/request_process/attachment/":{"get":{"operationId":"ux_sd_req_request_process_attachment_retrieve","description":"This endpoint is used to fetch the attachments.","summary":"Gets attachments for the selected request.","tags":["Request Process"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"description":""}}}}}}
```

## POST /ux/sd/req/request\_process/bulk\_retry\_api/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequestList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"request_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_request":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"service_form_data":{"type":"object","additionalProperties":{}},"location":{"type":"object","additionalProperties":{}},"employee_info":{"type":"array","items":{}}},"required":["request_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/req/request_process/bulk_retry_api/":{"post":{"operationId":"ux_sd_req_request_process_bulk_retry_api_create","description":"API endpoint that allows Request to be viewed or edited.","tags":["Request Process"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/RequestList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"description":""}}}}}}
```

## GET /ux/sd/req/request\_process/check\_list/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequestList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"request_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_request":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"service_form_data":{"type":"object","additionalProperties":{}},"location":{"type":"object","additionalProperties":{}},"employee_info":{"type":"array","items":{}}},"required":["request_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/req/request_process/check_list/":{"get":{"operationId":"ux_sd_req_request_process_check_list_retrieve","description":"API endpoint that allows Request to be viewed or edited.","tags":["Request Process"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"description":""}}}}}}
```

## Gets history for the selected request.

> This endpoint is used to fetch the history.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequestList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"request_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_request":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"service_form_data":{"type":"object","additionalProperties":{}},"location":{"type":"object","additionalProperties":{}},"employee_info":{"type":"array","items":{}}},"required":["request_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/req/request_process/history/":{"get":{"operationId":"ux_sd_req_request_process_history_retrieve","description":"This endpoint is used to fetch the history.","summary":"Gets history for the selected request.","tags":["Request Process"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"description":""}}}}}}
```

## GET /ux/sd/req/request\_process/options/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequestList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"request_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_request":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"service_form_data":{"type":"object","additionalProperties":{}},"location":{"type":"object","additionalProperties":{}},"employee_info":{"type":"array","items":{}}},"required":["request_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/req/request_process/options/":{"get":{"operationId":"ux_sd_req_request_process_options_retrieve","description":"API endpoint that allows Request to be viewed or edited.","tags":["Request Process"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"description":""}}}}}}
```

## Get rich text data

> This endpoint is used to get the rich text data.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequestList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"request_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_request":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"service_form_data":{"type":"object","additionalProperties":{}},"location":{"type":"object","additionalProperties":{}},"employee_info":{"type":"array","items":{}}},"required":["request_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/req/request_process/process-rich-text/":{"get":{"operationId":"ux_sd_req_request_process_process_rich_text_retrieve","description":"This endpoint is used to get the rich text data.","summary":"Get rich text data","tags":["Request Process"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"description":""}}}}}}
```

## GET /ux/sd/req/request\_process/requ\_check\_list/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequestList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"request_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_request":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"service_form_data":{"type":"object","additionalProperties":{}},"location":{"type":"object","additionalProperties":{}},"employee_info":{"type":"array","items":{}}},"required":["request_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/req/request_process/requ_check_list/":{"get":{"operationId":"ux_sd_req_request_process_requ_check_list_retrieve","description":"API endpoint that allows Request to be viewed or edited.","tags":["Request Process"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"description":""}}}}}}
```

## GET /ux/sd/req/request\_process/request-data/{id}/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequestList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"request_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_request":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"service_form_data":{"type":"object","additionalProperties":{}},"location":{"type":"object","additionalProperties":{}},"employee_info":{"type":"array","items":{}}},"required":["request_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/req/request_process/request-data/{id}/":{"get":{"operationId":"ux_sd_req_request_process_request_data_retrieve","description":"API endpoint that allows Request to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Request Process"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"description":""}}}}}}
```

## GET /ux/sd/req/request\_process/requester\_search/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequestList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"request_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_request":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"service_form_data":{"type":"object","additionalProperties":{}},"location":{"type":"object","additionalProperties":{}},"employee_info":{"type":"array","items":{}}},"required":["request_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/req/request_process/requester_search/":{"get":{"operationId":"ux_sd_req_request_process_requester_search_retrieve","description":"API endpoint that allows Request to be viewed or edited.","tags":["Request Process"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"description":""}}}}}}
```

## Save rich text data

> This endpoint is used to save the rich text data.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequestList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"request_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_request":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"service_form_data":{"type":"object","additionalProperties":{}},"location":{"type":"object","additionalProperties":{}},"employee_info":{"type":"array","items":{}}},"required":["request_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/req/request_process/save-rich-text/":{"post":{"operationId":"ux_sd_req_request_process_save_rich_text_create","description":"This endpoint is used to save the rich text data.","summary":"Save rich text data","tags":["Request Process"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/RequestList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"description":""}}}}}}
```

## POST /ux/sd/req/request\_process/update\_requ\_checklist/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequestList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"request_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_request":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"service_form_data":{"type":"object","additionalProperties":{}},"location":{"type":"object","additionalProperties":{}},"employee_info":{"type":"array","items":{}}},"required":["request_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/req/request_process/update_requ_checklist/":{"post":{"operationId":"ux_sd_req_request_process_update_requ_checklist_create","description":"API endpoint that allows Request to be viewed or edited.","tags":["Request Process"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/RequestList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"description":""}}}}}}
```

## POST /ux/sd/req/request\_process/upload-csv/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequestList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"request_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_request":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"service_form_data":{"type":"object","additionalProperties":{}},"location":{"type":"object","additionalProperties":{}},"employee_info":{"type":"array","items":{}}},"required":["request_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/req/request_process/upload-csv/":{"post":{"operationId":"ux_sd_req_request_process_upload_csv_create","description":"API endpoint that allows Request to be viewed or edited.","tags":["Request Process"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/RequestList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"description":""}}}}}}
```

## POST /ux/sd/req/request\_process/workflow\_options\_map/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequestList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"request_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_request":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"service_form_data":{"type":"object","additionalProperties":{}},"location":{"type":"object","additionalProperties":{}},"employee_info":{"type":"array","items":{}}},"required":["request_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/req/request_process/workflow_options_map/":{"post":{"operationId":"ux_sd_req_request_process_workflow_options_map_create","description":"API endpoint that allows Request to be viewed or edited.","tags":["Request Process"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/RequestList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"description":""}}}}}}
```

## GET /ux/sd/req/request\_process/workflow\_status/

> API endpoint that allows Request to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequestList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"request_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_request":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"service_form_data":{"type":"object","additionalProperties":{}},"location":{"type":"object","additionalProperties":{}},"employee_info":{"type":"array","items":{}}},"required":["request_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/req/request_process/workflow_status/":{"get":{"operationId":"ux_sd_req_request_process_workflow_status_retrieve","description":"API endpoint that allows Request to be viewed or edited.","tags":["Request Process"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestList"}}},"description":""}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/request-process.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
